jnr.unixsocket

## Class UnixSocketAddress

- java.lang.Object
- - java.net.SocketAddress
  - - jnr.unixsocket.UnixSocketAddress

- All Implemented Interfaces:
    Serializable

      public class UnixSocketAddress
      extends SocketAddress

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnixSocketAddress(File path)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnixSocketAddress

          public UnixSocketAddress(File path)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All rights reserved.